<?xml version="1.0" encoding="utf-8"?>
<FrameLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical">

    <TextureView
        android:id="@+id/tv_video"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_gravity="center"/>

    <!-- 封面图 -->
    <ImageView
        android:id="@+id/coverImage"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:src="@mipmap/iv_audio_playing"/>

    <LinearLayout
        android:id="@+id/ll_load"
        android:layout_width="200dp"
        android:layout_height="wrap_content"
        android:padding="10dp"
        android:layout_gravity="center"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="visible"
        android:background="#aa000000">

        <TextView
            android:id="@+id/tv_speed"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="加载中..."
            android:textSize="20dp"
            android:textColor="#ffffff"
            android:layout_marginBottom="10dp"
            android:visibility="visible"/>

        <ProgressBar
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_gravity="center" />

    </LinearLayout>

    <LinearLayout
        android:id="@+id/ll_retry"
        android:layout_width="200dp"
        android:layout_height="wrap_content"
        android:padding="10dp"
        android:layout_gravity="center"
        android:gravity="center"
        android:orientation="vertical"
        android:visibility="gone"
        android:background="#44000000">

        <TextView
            android:id="@+id/tv_error"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:text="加载失败"
            android:textSize="20dp"
            android:textColor="#ff00ff"/>

        <Button
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="10dp"
            android:id="@+id/btn_retry"
            android:text="重试"
            android:textSize="12dp"
            android:background="@color/white"/>

    </LinearLayout>

</FrameLayout>